class RdfException(Exception):
    def __init__(self, errorCode, args=None):
        self.args = args or ()
        self.errorCode = errorCode
        Exception.__init__(self, g_errorMessages[errorCode]%self.args)


class Error:
    pass

